#pragma once
#include <array>
#include <cmath>

namespace gameMatrix {

    using Mat4 = std::array<std::array<double,4>,4>;

    struct Vec3d {
        double x, y, z;
    };

    Mat4 matmul(const Mat4& A, const Mat4& B);
    Mat4 rot3D(double angle_deg, char axis);
    Mat4 translate(const std::array<double, 3>& pos);

}
